<odoo>
    <data>
        <!-- explicit list view definition -->

        <record id="product_template_form_view_inherit" model="ir.ui.view">
            <field name="name">product.template.product.inherit.form</field>
            <field name="model">product.template</field>
            <field name="inherit_id" ref="product.product_template_form_view"/>
            <field name="arch" type="xml">
                <xpath expr="//field[@name='purchase_ok']/.." position="after">
                    <div>
                        <field name="is_main_mfg_product"/>
                        <label for="is_main_mfg_product"/>
                        <field name="is_main_serial_product"/>
                        <label for="is_main_serial_product"/>
                    </div>
                </xpath>
            </field>
        </record>

        <record id="stock_picking_form_view_inherit" model="ir.ui.view">
            <field name="name">stock.picking.inherit.form</field>
            <field name="model">stock.picking</field>
            <field name="inherit_id" ref="stock.view_picking_form"/>
            <field name="arch" type="xml">
                <button name="action_assign" position="after">
                  <button name="auto_genrate_code" attrs="{'invisible': [('state', 'not in', ('assigned'))]}" string="Assigner N° de Lot" type="object" groups="stock.group_stock_user" class="o_btn_validate"/>
                </button>
                
            </field>
        </record>


        <!--
            <record model="ir.ui.view" id="custom_lot_number.list">
              <field name="name">custom_lot_number list</field>
              <field name="model">custom_lot_number.custom_lot_number</field>
              <field name="arch" type="xml">
                <tree>
                  <field name="name"/>
                  <field name="value"/>
                  <field name="value2"/>
                </tree>
              </field>
            </record>
        -->

        <!-- actions opening views on models -->
        <!--
            <record model="ir.actions.act_window" id="custom_lot_number.action_window">
              <field name="name">custom_lot_number window</field>
              <field name="res_model">custom_lot_number.custom_lot_number</field>
              <field name="view_mode">tree,form</field>
            </record>
        -->

        <!-- server action to the one above -->
        <!--
            <record model="ir.actions.server" id="custom_lot_number.action_server">
              <field name="name">custom_lot_number server</field>
              <field name="model_id" ref="model_custom_lot_number_custom_lot_number"/>
              <field name="state">code</field>
              <field name="code">
                action = {
                  "type": "ir.actions.act_window",
                  "view_mode": "tree,form",
                  "res_model": model._name,
                }
              </field>
            </record>
        -->

        <!-- Top menu item -->
        <!--
            <menuitem name="custom_lot_number" id="custom_lot_number.menu_root"/>
        -->
        <!-- menu categories -->
        <!--
            <menuitem name="Menu 1" id="custom_lot_number.menu_1" parent="custom_lot_number.menu_root"/>
            <menuitem name="Menu 2" id="custom_lot_number.menu_2" parent="custom_lot_number.menu_root"/>
        -->
        <!-- actions -->
        <!--
            <menuitem name="List" id="custom_lot_number.menu_1_list" parent="custom_lot_number.menu_1"
                      action="custom_lot_number.action_window"/>
            <menuitem name="Server to list" id="custom_lot_number" parent="custom_lot_number.menu_2"
                      action="custom_lot_number.action_server"/>
        -->
        <!-- Inherit Form View to Modify it -->
        <record id="mrp_production_form_view_inherit_custom_lot" model="ir.ui.view">
            <field name="name">mrp.production.form</field>
            <field name="model">mrp.production</field>
            <field name="inherit_id" ref="mrp.mrp_production_form_view"/>
            <field name="arch" type="xml">
                <xpath expr="//field[@name='lot_producing_id']" position="attributes">
<!--                    <attribute name="required">1</attribute>-->
                    <attribute name="attrs">
                        {'readonly': [ ('state', 'in', ['confirmed']) ] }
                    </attribute>
                </xpath>

            </field>
        </record>



    </data>
</odoo>